import 'package:flutter/material.dart';
import 'package:drifter/theme/app_colors.dart';

class KeysOptionModalBottomSheet extends StatelessWidget {
  const KeysOptionModalBottomSheet({
    super.key,
    required this.generateNewKeyPressed,
  });

  final void Function()? generateNewKeyPressed;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.all(20),
      decoration: BoxDecoration(color: AppColors.mainDarkBlue),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          ElevatedButton(
            style: ButtonStyle(
                backgroundColor: MaterialStateProperty.all(Colors.white)),
            onPressed: generateNewKeyPressed,
            child: Text(
              'Generate New Key',
              style: TextStyle(color: AppColors.mainDarkBlue),
            ),
          ),
          const SizedBox(height: 10),
        ],
      ),
    );
  }
}
